%define name Mesa
%define major	3
%define minor	0
%define gminor	7
%define version %{major}.%{minor}
%define release 1a

%define builddir $RPM_BUILD_DIR/Mesa-%{version}

Summary: Free OpenGL implementation.
Summary(fr): Implmentation OpenGL gratuite.

Name: %{name}
Version: %{version}
Release: %{release}
Group: Libraries
Copyright: LGPL
Url: http://www.ssec.wisc.edu/~brianp/Mesa.html
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
#Packager: Ulrich Leodolter <ulrich@lab1.psy.univie.ac.at>
Distribution: BRL RPMs
Source0: MesaLib-%{version}.tar.gz
Source1: MesaDemos-%{version}.tar.gz
Patch0: Mesa-%{version}-patch0
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Conflicts: glut

%description
Mesa is a 3-D graphics library with an API which
is very similar to that of OpenGL*, to the extent
that Mesa utilizes the OpenGL command syntax or
state machine. It is being used with authorization
from Silicon Graphics, Inc.  However, the author
makes no claim that Mesa is in any way a compatible
replacement for OpenGL or associated with Silicon
Graphics, Inc. Those who want a licensed
implementation of OpenGL should contact a licensed
vendor.  This software is distributed under the terms
of the GNU Library General Public License, see the
LICENSE file for details.

* OpenGL(R) is a registered trademark of Silicon
Graphics, Inc.

%description -l fr
Mesa est un librairie graphique 3-D avec une API trs
similaire  celle d'OpenGL*, a un tel point que Mesa
utilise la mme syntaxe de commandes ou tat de la
machine que OpenGL. Ceci est utilis avec l'autorisation
de Silicon Graphics, Inc. Mais l'auteur ne pretend
aucunement que Mesa est une alternative compatible 
OpenGL ou associe  Silicon Graphics, Inc. Ceux qui
veulent une implmentation sous license d'OpenGL,
devraient contacter un vendeur sous license. Ce 
programme est distribu sous la license "GNU Library
Public License", voir le fichier LICENSE pour les
details.

* OpenGL(R) est une marque dpose de Silicon
Graphics, Inc.

%package devel
Summary: Static libraries and header files for Mesa
Summary(fr): Librairies statiques et fichiers entte pour Mesa
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The static libraries and header files for Mesa.

%description devel -l fr
Les libraries statiques et fichiers entte pour Mesa.

%prep
%setup -n Mesa-%{version} -b 1
%patch0 -p1

%build
mkdir %{builddir}/stuff
mv %{builddir}/{xdemos,book,samples,3Dfx,demos,util,mtdemos} %{builddir}/stuff
%ifnarch ppc
make linux-386
make clean
make linux-386-elf
%else
make linux-ppc
make clean
make linux-ppc-so
%endif

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/include
cp -dpr lib include $RPM_BUILD_ROOT/usr

%clean
rm -r $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr( - ,root,root) %doc FUTURE IAFA-PACKAGE LICENSE README
%attr( - ,root,root) %doc RELNOTES VERSIONS README.3DFX README.X11
%attr(755,root,root) /usr/lib/libMesa*.so.%{major}.%{minor}
%attr( - ,root,root) /usr/lib/libMesa*.so.%{major}
%attr(755,root,root) /usr/lib/libglut.so.%{major}.%{gminor}
%attr( - ,root,root) /usr/lib/libglut.so.%{major}

%files devel
%attr( - ,root,root) /usr/lib/libMesa*.so
%attr( - ,root,root) /usr/lib/libglut.so
%attr(644,root,root) /usr/lib/*.a
%attr(755,root,root) %dir /usr/include/GL
%attr(644,root,root) /usr/include/GL/*

%changelog
* Mon Jul 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- built against glibc2.1

* Sun Feb 7 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- adopted to linuxppc

